<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaCheckAvailRequest StructType
 * @subpackage Structs
 */
class JP_VisaCheckAvailRequest extends AbstractStructBase
{
    /**
     * The VisaCheckOption
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaOptionRQ
     */
    public $VisaCheckOption;
    /**
     * Constructor method for JP_VisaCheckAvailRequest
     * @uses JP_VisaCheckAvailRequest::setVisaCheckOption()
     * @param \StructType\JP_VisaOptionRQ $visaCheckOption
     */
    public function __construct(\StructType\JP_VisaOptionRQ $visaCheckOption = null)
    {
        $this
            ->setVisaCheckOption($visaCheckOption);
    }
    /**
     * Get VisaCheckOption value
     * @return \StructType\JP_VisaOptionRQ|null
     */
    public function getVisaCheckOption()
    {
        return $this->VisaCheckOption;
    }
    /**
     * Set VisaCheckOption value
     * @param \StructType\JP_VisaOptionRQ $visaCheckOption
     * @return \StructType\JP_VisaCheckAvailRequest
     */
    public function setVisaCheckOption(\StructType\JP_VisaOptionRQ $visaCheckOption = null)
    {
        $this->VisaCheckOption = $visaCheckOption;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaCheckAvailRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
